Skip to main content
`Ctrl`+`K`

# DMProductGetDM

Get sub-`DM` associated with a given slot of a `DMPRODUCT`

## Synopsis

    PETSC_EXTERN PetscErrorCode DMProductGetDM(DM dm, PetscInt slot, DM *subdm)

Not Collective

## Input Parameters

- dm - the`DMPRODUCT`

- slot - which dimension slot, in the range 0 to dim-1

## Output Parameter

- subdm - the sub-`DM`

## See Also

`DMPRODUCT`, `DMProductSetDM()`

## Level

advanced

## Location

src/dm/impls/product/productutils.c

Index of all DMPRODUCT routines
Table of Contents for all manual pages
Index of all manual pages